Bug 240983 - lang/ruby24: Update to 2.4.9
Summary: lang/ruby24: Update to 2.4.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: needs-qa, security
Depends on: 240980
Blocks:
  Show dependency treegraph
 
Reported: 2019-10-01 20:45 UTC by Yasuhiro Kimura
Modified: 2019-10-02 19:51 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ruby)
yasu: merge-quarterly?


Attachments
Patch file (835 bytes, patch)
2019-10-01 20:45 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (836 bytes, patch)
2019-10-02 10:03 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2019-10-01 20:45:49 UTC
Created attachment 207995 [details]
Patch file

Update to 2.4.8.

security:
  CVE-2019-15845
  CVE-2019-16201
  CVE-2019-16254
  CVE-2019-16255
    
Vulnerabilities fixed with this version is described in bug #240980. So please commit together.
Comment 1 Yasuhiro Kimura 2019-10-02 10:03:49 UTC
Created attachment 208015 [details]
Updated patch file

Newer version 2.4.9 is released. So please commit attached patch instead of original one.
Comment 2 commit-hook freebsd_committer 2019-10-02 19:25:55 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Oct  2 19:24:56 UTC 2019
New revision: 513607
URL: https://svnweb.freebsd.org/changeset/ports/513607

Log:
  Update to 2.4.9

  Changes:	https://www.ruby-lang.org/en/news/2019/10/02/ruby-2-4-9-released/
  		https://www.ruby-lang.org/en/news/2019/10/01/ruby-2-4-8-released/
  PR:		240983
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Security:	f7fcb75c-e537-11e9-863e-b9b7af01ba9e
  MFH:		2019Q4

Changes:
  head/Mk/bsd.ruby.mk
  head/lang/ruby24/distinfo
Comment 3 Sunpoet Po-Chuan Hsieh freebsd_committer 2019-10-02 19:50:14 UTC
Committed. Thanks!
Comment 4 commit-hook freebsd_committer 2019-10-02 19:51:02 UTC
A commit references this bug:

Author: sunpoet
Date: Wed Oct  2 19:50:05 UTC 2019
New revision: 513617
URL: https://svnweb.freebsd.org/changeset/ports/513617

Log:
  MFH: r513607 r513609 r513610

  Update to 2.4.9

  Changes:	https://www.ruby-lang.org/en/news/2019/10/02/ruby-2-4-9-released/
  		https://www.ruby-lang.org/en/news/2019/10/01/ruby-2-4-8-released/
  PR:		240983
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Security:	f7fcb75c-e537-11e9-863e-b9b7af01ba9e

  Update to 2.5.7

  Changes:	https://www.ruby-lang.org/en/news/2019/10/01/ruby-2-5-7-released/
  PR:		240984
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Security:	f7fcb75c-e537-11e9-863e-b9b7af01ba9e

  Update to 2.6.5

  Changes:	https://www.ruby-lang.org/en/news/2019/10/01/ruby-2-6-5-released/
  PR:		240985
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>
  Security:	f7fcb75c-e537-11e9-863e-b9b7af01ba9e

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q4/
  branches/2019Q4/Mk/bsd.ruby.mk
  branches/2019Q4/lang/ruby24/distinfo
  branches/2019Q4/lang/ruby25/distinfo
  branches/2019Q4/lang/ruby26/distinfo